require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddFlowers(FlowerType.FLOWERS2, "flowersTC", false);
SManager:AddFlowers(FlowerType.FLOWERS1, "flowersRB", true);
SManager:AddFlowers(FlowerType.FLOWERS6, "flowersRE", false);

SManager:AddAppetizer(AppetizerType.ASPARAGUS, "asparagusAsian", false);
SManager:AddAppetizer(AppetizerType.CRACKERS, "crackersBleu", false);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpScampi", true);

SManager:AddMeal(MealType.FISH, "fishPesce", true);
SManager:AddMeal(MealType.STEAK, "steakTeriyakiBeef", false);
SManager:AddMeal(MealType.CHICKEN, "chickenMarsala", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.FLOWERS, SelectionType.APPETIZER, SelectionType.MEAL);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");